#
# Create a very simple line plot using random data
#
# Introducing changing axis limits and plot size
#
# David Mathias
# February 2021
#

import random
import matplotlib.pyplot as plt


def main():
    # generate random data
    y_data = [i**3 for i in range(50)]
    
    # set the figure size
    plt.figure(figsize=(5,5))
    
    # set the x axis value limits
    plt.xlim(0, 250)
    
    # create a line plot
    lp = plt.plot(y_data)
    
    # save to a file and display the plot
    plt.savefig('sample_plot_2.png', dpi=300)
    plt.show()

    
if __name__ == '__main__':
    main()
    