#
# Create a very simple line plot using random data
#
# Plotting multiple data sets
#
# David Mathias
# February 2021
#

import math
import matplotlib.pyplot as plt


def main():
    # generate three data sets
    y_data_1 = y_data = [i for i in range(50)]
    y_data_2 = [i**2 for i in range(50)]
    y_data_3 = [(i+1) * math.log(i+1) for i in range(50)]
    
    # set the figure size
    plt.figure(figsize=(5,5))
    
    # set the y axis value limits
    plt.ylim(0, 250)
    
    # each call plots one of the data sets
    lp1 = plt.plot(y_data_1)
    lp2 = plt.plot(y_data_2)
    lp3 = plt.plot(y_data_3)
    
    # save and display the plot
    plt.savefig('sample_plot_3.png', dpi=300)
    plt.show()

    
if __name__ == '__main__':
    main()
    