#
# Create a very simple line plot using random data
#
# What if the x values aren't consecutive integers starting at 0?
#
# David Mathias
# February 2021
#

from random import randint, random
import matplotlib.pyplot as plt


def main():
    # the x-values used are 0 to 147 by 3 but the plot shows 0 to 49
    # y_data = [3*i + (random.randint(-5, 5) * random.random()) for i in range(50)]
    
    # we can fix that by creating a separate list for x-values and telling plt to use them
    x_data = [3 * i for i in range(50)]
    y_data = [i + (randint(-5, 5) * random()) for i in x_data]
    
    # set the figure size
    plt.figure(figsize=(5,5))
    
    # lp = plt.plot(y_data)
    
    # for the fixed version we need to use this plot call
    lp = plt.plot(x_data, y_data)
    
    # save and display the plot
    plt.savefig('sample_plot_5_fixed.png', dpi=300)
    plt.show()

    
if __name__ == '__main__':
    main()
    