#
# What if we want something other than lines?
#       - histogram
#
# David Mathias
# February 2021
#

import random
import matplotlib.pyplot as plt
import numpy as np


def main():
    # mean and std deviation
    mu = 100
    sigma = 15
    # generate a numpy array of normally distributed random values
    y_data = mu + sigma * np.random.randn(437)
    
    # number of bins in the histogram
    bins = 25
    
    # set the figure size
    plt.figure(figsize=(8,6))
    
    # pass the data and numnber of bins
    hp = plt.hist(y_data, bins, edgecolor='black')
    
    # save and display plot
    plt.savefig('sample_plot_7.png', dpi=300)
    plt.show()

    
if __name__ == '__main__':
    main()
    