#
# Create a very simple line plot using random data
#
# What if the x values aren't consecutive integers starting at 0?
#
# David Mathias
# February 2021
#

from random import randint, random
import matplotlib.pyplot as plt
from wordcloud import WordCloud


def main():
    infile = open('swiss_stuff.txt', 'r')
    words = infile.readlines()
    infile.close()
    
    words = [w.rstrip() for w in words]

    # set the figure size
    plt.figure(figsize=(10,6))
    
    cloud = WordCloud(width=2000, height=1200, background_color='black', collocations=False).generate(' '.join(words))
    
    # for the fixed version we need to use this plot call
    plt.imshow(cloud)
    plt.axis('off')
    
    # save and display the plot
    plt.savefig('swiss_word_cloud.png', dpi=300)
    plt.show()

    
if __name__ == '__main__':
    main()
    